Update account page
curl --request PATCH \
--url https://api.social-api.ai/v1/accounts/{id}/pages/{pageId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": true,
"is_default": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: true, is_default: true})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/pages/{pageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/pages/{pageId}"
payload = {
"is_active": True,
"is_default": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"about": "<string>",
"category": "<string>",
"cover_photo_url": "<string>",
"enriched_at": "<string>",
"followers_count": 123,
"id": "<string>",
"is_active": true,
"is_default": true,
"link": "<string>",
"name": "<string>",
"platform_page_id": "<string>",
"profile_picture_url": "<string>",
"username": "<string>",
"verification_status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Accounts
Update account page
Update a page’s is_default or is_active status.
PATCH
/
accounts
/
{id}
/
pages
/
{pageId}
Update account page
curl --request PATCH \
--url https://api.social-api.ai/v1/accounts/{id}/pages/{pageId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": true,
"is_default": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: true, is_default: true})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/pages/{pageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/pages/{pageId}"
payload = {
"is_active": True,
"is_default": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"about": "<string>",
"category": "<string>",
"cover_photo_url": "<string>",
"enriched_at": "<string>",
"followers_count": 123,
"id": "<string>",
"is_active": true,
"is_default": true,
"link": "<string>",
"name": "<string>",
"platform_page_id": "<string>",
"profile_picture_url": "<string>",
"username": "<string>",
"verification_status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...